Subject: RE: PWE3 congestion

From: Keith Knightson <[email-masked]>
Date: Mon, 17 Feb 2003 16:45:31 -0400

Guys,

If you are emulating TDM you cannot surely make any assumptions at 
all about the protocols being used by the customer over the TDM.

Conversely, if the protocol on the CE-PE is known then TDM across the 
core is not necessary, since this protocol can be extracted from the 
TDM on the access and sent as IP payload across the core.

Surely the reason for a TDM PWE in the first place is to provide a 
means of conveying a transparent TDM stream all the way across an IP 
core?

If the PSN underneath a TDM PWE becomes congested, such that blocks 
of bits are lost, then the PEs will have to detect it, at the PWE 
layer. I do not think that the underlying PSN can be relied upon to 
perform that function. The PEs have to detect it, and take action, 
like presumably turn off the clock towards the CE, or use OAM framing 
bits or something similar. I would also have thought that "normal" 
TDM OAM would have to be emulated across the core for this purpose.

All this talk about about customer back-off at the TCP level eludes 
me,..., why on earth would any  customer who is already operating 
already TCP over IP, want some emulated TDM PWE across an IP core? 
Why is IP in IP not a better solution?

It seems to be that an emulated TDM PWE should be just that, ie an 
emulated TDM pipe. TDM is the PWE payload, not the payload of the 
TDM. The payload of the TDM is unknown. Conversely, if it is known 
then the TDM is not required, since it can be handled directly.

I must be missing something, brain cells probably.

Regards

Keith

At 11:58 AM -0800 17/2/03, Shahram Davari wrote:
>Stewart,
>
>>
>>  > Therefore a more generic
>>  > method that applies to all types of payloads should be used.
>>
>>  False - only to those payloads that don't have the TCP friendly
>>  property.
>>
>
>Even if a PE knows that the payload is TCP, how do you guarantee that
>the customer has intentionally or unintentionally implemented the TCP
>back off.
>
>Yours,
>-Shahram
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 18 Feb 2003 08:14:06 +0000

Keith

You are correct(ish) for TDM. Some TDM emulations can hid stream
damage due to packet loss. However the congestion loss is the
Internet's way of crying for help, and if the packet loss continues
then the PEs have to reduce the offered load, which they can only do
by shutting down one of more PWs.

Quite the opposite is true in the case of packet. Here packet
loss in the PSN translates to packet loss in the emulated service
and if the service is carrying TCP, TP4 or similar, then PSN loss
will trigger exactly the right behaviour in the hosts ulimately
generating the traffic. In such casses shutting down the service
would be OTT.

Then there is ATM, which could be carrying anything. If we KNEW it
was carrying packets, then we could be sure that the right things
will happen, otherwise we have to start shutting down PWs. Perhaps
we can operate packet strategy in STU mode and TDM strategy in cell
mode?

Regards

Stewart

Keith Knightson wrote:
> Guys,
> 
> If you are emulating TDM you cannot surely make any assumptions at all 
> about the protocols being used by the customer over the TDM.
> 
> core is not necessary, since this protocol can be extracted from the TDM 
> on the access and sent as IP payload across the core.
> 
> Surely the reason for a TDM PWE in the first place is to provide a means 
> of conveying a transparent TDM stream all the way across an IP core?
> 
> If the PSN underneath a TDM PWE becomes congested, such that blocks of 
> bits are lost, then the PEs will have to detect it, at the PWE layer. I 
> do not think that the underlying PSN can be relied upon to perform that 
> function. The PEs have to detect it, and take action, like presumably 
> turn off the clock towards the CE, or use OAM framing bits or something 
> similar. I would also have thought that "normal" TDM OAM would have to 
> be emulated across the core for this purpose.
> 
> already TCP over IP, want some emulated TDM PWE across an IP core? Why 
> is IP in IP not a better solution?
> 
> emulated TDM pipe. TDM is the PWE payload, not the payload of the TDM. 
> The payload of the TDM is unknown. Conversely, if it is known then the 
> TDM is not required, since it can be handled directly.
>